libxml++ 5.0.1

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmlpp::internal_error Class Reference

`#include <libxml++/exceptions/internal_error.h>`

Inheritance diagram for xmlpp::internal_error:
[legend]

## Public Member Functions
LIBXMLPP_API | internal_error (const ustring& message)
LIBXMLPP_API | ~internal_error () noexcept override
LIBXMLPP_API exception* | clone () const override
LIBXMLPP_API void | raise () const override
Public Member Functions inherited from xmlpp::exception
LIBXMLPP_API | exception (const ustring& message)
LIBXMLPP_API | ~exception () noexcept override
LIBXMLPP_API const char* | what () const noexcept override

## Constructor & Destructor Documentation

LIBXMLPP_API xmlpp::internal_error::internal_error | ( | const ustring& | message | ) |
| explicit

LIBXMLPP_API xmlpp::internal_error::~internal_error | ( |  | ) |
| override noexcept

## Member Function Documentation

LIBXMLPP_API exception* xmlpp::internal_error::clone | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::exception.

LIBXMLPP_API void xmlpp::internal_error::raise | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::exception.